QueryTranslatorFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.spi
Interface QueryTranslatorFactory

All Known Implementing Classes:
  ASTQueryTranslatorFactory, ClassicQueryTranslatorFactory

    public interface QueryTranslatorFactory

Facade for generation of `QueryTranslator` and `FilterTranslator` instances.

Method Summary
`FilterTranslator` | `createFilterTranslator(String queryIdentifier, String queryString, Map filters, SessionFactoryImplementor factory)` Construct a `FilterTranslator` instance capable of translating an HQL filter string.
`QueryTranslator` | `createQueryTranslator(String queryIdentifier, String queryString, Map filters, SessionFactoryImplementor factory)` Construct a `QueryTranslator` instance capable of translating an HQL query string.

Method Detail

### createQueryTranslator

    QueryTranslator createQueryTranslator(String queryIdentifier,
                                          String queryString,
                                          Map filters,
                                          SessionFactoryImplementor factory)

  Construct a `QueryTranslator` instance capable of translating an HQL query string.

  Parameters:
    `queryIdentifier` - The query-identifier (used in `QueryStatistics` collection). This is typically the same as the queryString parameter except for the case of split polymorphic queries which result in multiple physical sql queries.
    `queryString` - The query string to be translated
    `filters` - Currently enabled filters
    `factory` - The session factory.
  Returns:
    an appropriate translator.

### createFilterTranslator

    FilterTranslator createFilterTranslator(String queryIdentifier,
                                            String queryString,
                                            Map filters,
                                            SessionFactoryImplementor factory)

  Construct a `FilterTranslator` instance capable of translating an HQL filter string.

  See Also:
    `createQueryTranslator(java.lang.String, java.lang.String, java.util.Map, org.hibernate.engine.spi.SessionFactoryImplementor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.